> For the complete documentation index, see [llms.txt](https://docs.thebrief.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thebrief.ai/public-api/rest-api/folders/move-design-to-folder.md).

# Move design to folder

### Request

* Method: POST
* Endpoint: `https://api.thebrief.ai/v1/moveDesignToFolder`
* Body:
  * `designHash` (string, required): The hash of the design to be moved.
  * `folderId` (integer, required): The ID of the folder to which the design will be moved. If you want to move on to the root of the project `folderId`should be `-1`.

```bash
curl --location 'https://api.thebrief.ai/v1/moveDesignToFolder' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer eyJhdXUpI2Yi5h4...' \
--data '{
  "designHash": "mz2k0q",
  "folderId": 716578
}'
```

### Response

Upon successful execution, the response will have a status code of 200 and a JSON content type. The response body will contain the following structure:

JSON

```json
{
    "response": true
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thebrief.ai/public-api/rest-api/folders/move-design-to-folder.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
